using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models;

public class EditFormTemplate
{
    [Required]
    [JsonPropertyName("id")]
    public GeneralIdRef Id { get; set; } = new GeneralIdRef();

    [JsonPropertyName("name")]
    public string Name { get; set; } = string.Empty;

    [JsonPropertyName("definition")]
    public string Definition { get; set; } = string.Empty;
}